Adding PL/v8 support to MacPorts version of PostgreSQL

 

jlg's picture

Anyone using the MacPorts version of PostgreSQL to run xTuple will run into difficulties installing the PL/v8 extension. This fix works for me.

Follow the instructions at https://github.com/xtuple/xtuple/wiki/Installing-PLv8 for Mac OS X.

Before running the "install_plv8.sh" script, edit the script and find the line that reads:

PATH="$PGDIR/bin:$PATH"

Change this line to read:

PATH="$PGDIR/lib/postgresql93/bin:$PATH"
 
(You'll want to change the exact path to match your installed version of PostgreSQL. Here it's 9.3.x.)
 
Save & exit, then execute the script. When prompted for the PostgreSQL installation path, enter "/opt/local" and everything should work properly.
 
gmoskowitz
gmoskowitz's picture
Offline
Joined: 12/10/2008
it's even easier that that

@jlg,

Installing PL/v8 is supposed to be even easier than that - no script editing required:

$ ./install_plv8.sh -h       # for usage information
$ ./install_plv8.sh /opt/local/lib/postgresql93

Does this fail with MacPorts?

Gil